> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List workspace folder contents

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}

Retrieves workspace folder contents, which can include sub folders and files.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/workspaces/workspaceitems/listfolderitems

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `folderId` (string, required) — The ID of the folder being accessed.
- `workspaceId` (string, required) — Specifies the workspace ID GUID.

### Query parameters

- `count` (string, optional) — The maximum number of results to be returned by this request.
- `include_files` (string, optional) — When set to **true**, file information is returned in the response along with folder information. The default is **false**.
- `include_sub_folders` (string, optional) — When set to **true**, information about the sub-folders of the current folder is returned. The default is **false**.
- `include_thumbnails` (string, optional) — When set to **true**, thumbnails are returned as part of the response. The default is **false**.
- `include_user_detail` (string, optional) — Set to **true** to return extended details about the user. The default is **false**.
- `start_position` (string, optional) — The position within the total result set from which to start returning values.
- `workspace_user_id` (string, optional) — If set, then the results are filtered to those associated with the specified userId.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last position in the result set.
- `folder` (workspaceItem, optional)
- `items` (list of workspaceItem, optional)
- `parentFolders` (list of workspaceItem, optional)
- `resultSetSize` (string, optional) — The number of results returned in this response.
- `startPosition` (string, optional) — Starting position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the search's result set. It will always be greater than or equal to the value of the `resultSetSize` field.
- `workspaceId` (string, optional) — The id of the workspace, always populated.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### workspaceItem

- `callerAuthorization` (workspaceUserAuthorization, optional) — Provides properties that describe user authorization to a workspace.
- `contentType` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `createdById` (string, optional)
- `createdByInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.
- `extension` (string, optional)
- `fileSize` (string, optional)
- `fileUri` (string, optional)
- `id` (string, optional)
- `isPublic` (string, optional) — If true, this supersedes need for bit mask permission with workspaceUserAuthorization
- `lastModified` (string, optional) — Utc date and time the comment was last updated (can only be done by creator.)
- `lastModifiedById` (string, optional)
- `lastModifiedByInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.
- `name` (string, optional)
- `pageCount` (string, optional)
- `parentFolderId` (string, optional)
- `parentFolderUri` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `uri` (string, optional)

### workspaceUserAuthorization

Provides properties that describe user authorization to a workspace.

- `canDelete` (string, optional)
- `canMove` (string, optional)
- `canTransact` (string, optional)
- `canView` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `createdById` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `modified` (string, optional)
- `modifiedById` (string, optional)
- `workspaceUserId` (string, optional)
- `workspaceUserInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.

### workspaceUser

A workspaceUser representing the user. This property is only returned in response to user specific GET call.

- `accountId` (string, optional) — The account ID associated with the envelope.
- `accountName` (string, optional) — The name of the account that the workspace user belongs to.
- `activeSince` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user was created.
- `createdById` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `lastModified` (string, optional) — Utc date and time the comment was last updated (can only be done by creator.)
- `lastModifiedById` (string, optional)
- `status` (string, optional) — Filters the results by user status. You can specify a comma-separated list of the following statuses: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `workspaceId` (string, optional) — Specifies the workspace ID GUID.
- `workspaceUserBaseUrl` (string, optional) — The relative URI that may be used to access a workspace user.
- `workspaceUserId` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "endPosition": "string",
  "folder": {
    "callerAuthorization": {
      "canDelete": "string",
      "canMove": "string",
      "canTransact": "string",
      "canView": "string",
      "created": "string",
      "createdById": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "modified": "string",
      "modifiedById": "string",
      "workspaceUserId": "string",
      "workspaceUserInformation": {
        "accountId": "string",
        "accountName": "string",
        "activeSince": "string",
        "created": "string",
        "createdById": "string",
        "email": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "lastModified": "string",
        "lastModifiedById": "string",
        "status": "string",
        "type": "string",
        "userId": "string",
        "userName": "string",
        "workspaceId": "string",
        "workspaceUserBaseUrl": "string",
        "workspaceUserId": "string"
      }
    },
    "contentType": "string",
    "created": "string",
    "createdById": "string",
    "createdByInformation": {
      "accountId": "string",
      "accountName": "string",
      "activeSince": "string",
      "created": "string",
      "createdById": "string",
      "email": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "lastModified": "string",
      "lastModifiedById": "string",
      "status": "string",
      "type": "string",
      "userId": "string",
      "userName": "string",
      "workspaceId": "string",
      "workspaceUserBaseUrl": "string",
      "workspaceUserId": "string"
    },
    "extension": "string",
    "fileSize": "string",
    "fileUri": "string",
    "id": "string",
    "isPublic": "string",
    "lastModified": "string",
    "lastModifiedById": "string",
    "lastModifiedByInformation": {
      "accountId": "string",
      "accountName": "string",
      "activeSince": "string",
      "created": "string",
      "createdById": "string",
      "email": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "lastModified": "string",
      "lastModifiedById": "string",
      "status": "string",
      "type": "string",
      "userId": "string",
      "userName": "string",
      "workspaceId": "string",
      "workspaceUserBaseUrl": "string",
      "workspaceUserId": "string"
    },
    "name": "string",
    "pageCount": "string",
    "parentFolderId": "string",
    "parentFolderUri": "string",
    "type": "string",
    "uri": "string"
  },
  "items": [
    {
      "callerAuthorization": {
        "canDelete": "string",
        "canMove": "string",
        "canTransact": "string",
        "canView": "string",
        "created": "string",
        "createdById": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "modified": "string",
        "modifiedById": "string",
        "workspaceUserId": "string",
        "workspaceUserInformation": {
          "accountId": "string",
          "accountName": "string",
          "activeSince": "string",
          "created": "string",
          "createdById": "string",
          "email": "string",
          "errorDetails": {
            "errorCode": "string",
            "message": "string"
          },
          "lastModified": "string",
          "lastModifiedById": "string",
          "status": "string",
          "type": "string",
          "userId": "string",
          "userName": "string",
          "workspaceId": "string",
          "workspaceUserBaseUrl": "string",
          "workspaceUserId": "string"
        }
      },
      "contentType": "string",
      "created": "string",
      "createdById": "string",
      "createdByInformation": {
        "accountId": "string",
        "accountName": "string",
        "activeSince": "string",
        "created": "string",
        "createdById": "string",
        "email": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "lastModified": "string",
        "lastModifiedById": "string",
        "status": "string",
        "type": "string",
        "userId": "string",
        "userName": "string",
        "workspaceId": "string",
        "workspaceUserBaseUrl": "string",
        "workspaceUserId": "string"
      },
      "extension": "string",
      "fileSize": "string",
      "fileUri": "string",
      "id": "string",
      "isPublic": "string",
      "lastModified": "string",
      "lastModifiedById": "string",
      "lastModifiedByInformation": {
        "accountId": "string",
        "accountName": "string",
        "activeSince": "string",
        "created": "string",
        "createdById": "string",
        "email": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "lastModified": "string",
        "lastModifiedById": "string",
        "status": "string",
        "type": "string",
        "userId": "string",
        "userName": "string",
        "workspaceId": "string",
        "workspaceUserBaseUrl": "string",
        "workspaceUserId": "string"
      },
      "name": "string",
      "pageCount": "string",
      "parentFolderId": "string",
      "parentFolderUri": "string",
      "type": "string",
      "uri": "string"
    }
  ],
  "parentFolders": [
    {
      "callerAuthorization": {
        "canDelete": "string",
        "canMove": "string",
        "canTransact": "string",
        "canView": "string",
        "created": "string",
        "createdById": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "modified": "string",
        "modifiedById": "string",
        "workspaceUserId": "string",
        "workspaceUserInformation": {
          "accountId": "string",
          "accountName": "string",
          "activeSince": "string",
          "created": "string",
          "createdById": "string",
          "email": "string",
          "errorDetails": {
            "errorCode": "string",
            "message": "string"
          },
          "lastModified": "string",
          "lastModifiedById": "string",
          "status": "string",
          "type": "string",
          "userId": "string",
          "userName": "string",
          "workspaceId": "string",
          "workspaceUserBaseUrl": "string",
          "workspaceUserId": "string"
        }
      },
      "contentType": "string",
      "created": "string",
      "createdById": "string",
      "createdByInformation": {
        "accountId": "string",
        "accountName": "string",
        "activeSince": "string",
        "created": "string",
        "createdById": "string",
        "email": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "lastModified": "string",
        "lastModifiedById": "string",
        "status": "string",
        "type": "string",
        "userId": "string",
        "userName": "string",
        "workspaceId": "string",
        "workspaceUserBaseUrl": "string",
        "workspaceUserId": "string"
      },
      "extension": "string",
      "fileSize": "string",
      "fileUri": "string",
      "id": "string",
      "isPublic": "string",
      "lastModified": "string",
      "lastModifiedById": "string",
      "lastModifiedByInformation": {
        "accountId": "string",
        "accountName": "string",
        "activeSince": "string",
        "created": "string",
        "createdById": "string",
        "email": "string",
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "lastModified": "string",
        "lastModifiedById": "string",
        "status": "string",
        "type": "string",
        "userId": "string",
        "userName": "string",
        "workspaceId": "string",
        "workspaceUserBaseUrl": "string",
        "workspaceUserId": "string"
      },
      "name": "string",
      "pageCount": "string",
      "parentFolderId": "string",
      "parentFolderUri": "string",
      "type": "string",
      "uri": "string"
    }
  ],
  "resultSetSize": "string",
  "startPosition": "string",
  "totalSetSize": "string",
  "workspaceId": "string"
}
```